//========================================================================================
//
//	File:				FWGConst.cpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWGCONST_H
#include "FWGConst.h"
#endif

#ifndef FWSTRING_H
#include "FWString.h"
#endif

#ifndef FWCOLOR_H
#include "FWColor.h"
#endif

#ifndef FWINK_H
#include "FWInk.h"
#endif

#ifndef FWSTYLE_H
#include "FWStyle.h"
#endif

#ifndef FWFONT_H
#include "FWFont.h"
#endif

//========================================================================================
//	RunTime Info
//========================================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

#ifdef FW_BUILD_MAC
#pragma segment FWGraphics_Constants
#endif

//========================================================================================
//	Constants
//========================================================================================

// ----- Standard Colors -----

// I only define colors that are common

#ifdef FW_BUILD_WIN 
const FW_CColor	FW_kRGBBlack(0, 0, 0);
const FW_CColor	FW_kRGBWhite(255, 255, 255);
const FW_CColor	FW_kRGBRed(255, 0, 0);
const FW_CColor	FW_kRGBYellow(255, 255, 0);
const FW_CColor	FW_kRGBBlue(0, 0, 192);
const FW_CColor	FW_kRGBGreen(0, 255, 0);
const FW_CColor	FW_kRGBBrown(128, 128, 0);
const FW_CColor	FW_kRGBPurple(255, 0, 255);
const FW_CColor	FW_kRGBLightBlue(0, 0, 255);
const FW_CColor	FW_kRGBGray(128, 128, 128);
const FW_CColor	FW_kRGBLightGray(192, 192, 192);
const FW_CColor	FW_kRGBDarkGray(64, 64, 64);
#endif

#ifdef FW_BUILD_MAC
const FW_CColor FW_kRGBBlack(0x0000, 0x0000, 0x0000);
const FW_CColor FW_kRGBWhite(0xFFFF, 0xFFFF, 0xFFFF);
const FW_CColor FW_kRGBRed(0xDDDD, 0x0000, 0x0000);
const FW_CColor FW_kRGBYellow(0xFFFF, 0xFFFF, 0x0000);
const FW_CColor FW_kRGBBlue(0x0000, 0x0000, 0xDDDD);
const FW_CColor FW_kRGBGreen(0x0000, 0xEEEE, 0x0000);
const FW_CColor FW_kRGBBrown(0x9999, 0x6666, 0x0000);
const FW_CColor FW_kRGBPurple(0x6666, 0x0000, 0x9999);
const FW_CColor FW_kRGBLightBlue(0x0000, 0x9999, 0xFFFF);
const FW_CColor FW_kRGBGray(0x8080, 0x8080, 0x8080);
const FW_CColor FW_kRGBLightGray(0xC0C0, 0xC0C0, 0xC0C0);
const FW_CColor FW_kRGBDarkGray	(0x4040, 0x4040, 0x4040);
#endif

// ----- Standard patterns -----

// [HLX] should be moved to resource

const FW_BitPattern FW_kBlackPat = {0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF};			// black
const FW_BitPattern FW_kWhitePat = {0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};			// White
const FW_BitPattern FW_kGrayPat = {0xAA, 0x55, 0xAA, 0x55, 0xAA, 0x55, 0xAA, 0x55};				// Gray
const FW_BitPattern FW_kLightGrayPat = {0x88, 0x22, 0x88, 0x22, 0x88, 0x22, 0x88, 0x22};		// LightGray
const FW_BitPattern FW_kDarkGrayPat = {0x77, 0xDD, 0x77, 0xDD, 0x77, 0xDD, 0x77, 0xDD};			// DarkGray
const FW_BitPattern FW_kHorizontalPat = {0xFF, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00};		// Horizontal
const FW_BitPattern FW_kVerticalPat = {0x11, 0x11, 0x11, 0x11, 0x11, 0x11, 0x11, 0x11};			// Vertical
const FW_BitPattern FW_kFDiagonalPat = {0x88, 0x44, 0x22, 0x11, 0x88, 0x44, 0x22, 0x11};		// FDiagonal
const FW_BitPattern FW_kBDiagonalPat = {0x11, 0x22, 0x44, 0x88, 0x11, 0x22, 0x44, 0x88};		// DDiagonal
const FW_BitPattern FW_kCrossPat = {0x88, 0x88, 0x88, 0xFF, 0x88, 0x88, 0x88, 0xFF};			// Cross
const FW_BitPattern FW_kDiagCrossPat = {0x88, 0x55, 0x22, 0x55, 0x88, 0x55, 0x22, 0x55};		// DiagCross
const FW_BitPattern FW_kAntPat = {0xEE, 0x77, 0xBB, 0xDD, 0xEE, 0x77, 0xBB, 0xDD};				// Ant

// ----- Font Names -----

#ifdef FW_BUILD_MAC
const FW_CString32	FW_kSystemFont("systemFont");
const FW_CString32	FW_kDefaultFont("applFont");
const FW_CString32	FW_kHelvetica("Helvetica");
const FW_CString32	FW_kTimes("Times");
const FW_CString32	FW_kCourier("Courier");
const FW_CString32	FW_kPalatino("Palatino");
#endif

#ifdef FW_BUILD_WIN
const FW_CString32	FW_kSystemFont("System");
const FW_CString32	FW_kDefaultFont("System");
const FW_CString32	FW_kHelvetica("Arial");
const FW_CString32	FW_kTimes("Times New Roman");
const FW_CString32	FW_kCourier("Courier New");
const FW_CString32	FW_kPalatino("Palatino");
#endif
