//========================================================================================
//
//	File:				FWGrGlob.cpp
//	Release Version:	$ 1.0d11 $
//
//	Copyright:	 1993, 1995 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#include "FWOS.hpp"

#ifndef FWGRGLOB_H
#include "FWGrGlob.h"
#endif

//========================================================================================
//	RunTime Info
//========================================================================================

#if FW_LIB_EXPORT_PRAGMAS
#pragma lib_export on
#endif

#ifdef FW_BUILD_MAC
#pragma segment fwgraphx
#endif

//========================================================================================
//	Private globals
//========================================================================================

// ----- Standard Transfer Modes -----
#ifdef FW_BUILD_MAC
const short FW_gTransferModes[11] =
{
	patCopy,			//	FW_kCopy
	notPatCopy,		//	FW_kNotCopy
	patOr,			//	FW_kOr
	notPatOr,		//	FW_kNotOr
	patXor,			//	FW_kXOr
	notPatXor,		//	FW_kNotXOr
	patBic,			//	FW_kClear
	notPatBic,		//	FW_kNotClear
	patXor,			//	FW_kHilite
	patCopy,		//	FW_kErase
	patCopy,		//	FW_kInvert
};
#endif

#ifdef FW_BUILD_WIN

// Don't forget than on windows black and white are inverted. It is why it seems that the xxNOTxx is at
// the wrong place

const int FW_gTransferModes[11] =
{
	R2_COPYPEN,		//	FW_kCopy
	R2_NOTCOPYPEN, 	//	FW_kNotCopy
	R2_NOTMERGEPEN, //	FW_kOr
	R2_MERGEPEN,	//	FW_kNotOr
	R2_NOTXORPEN, 	//	FW_kXOr
	R2_XORPEN,		//	FW_kNotXOr		
	R2_NOTMASKPEN, 	//	FW_kClear
	R2_MASKPEN,		//	FW_kNotClear
	R2_NOTXORPEN, 	//	FW_kHilite
	R2_COPYPEN,	 	//	FW_kErase
	R2_NOTXORPEN 	//	FW_kInvert
};
												
const DWORD FW_gWinRasterOps[11] =	
{
	SRCCOPY,		//	FW_kCopy
	NOTSRCCOPY,		// 	FW_kNotCopy
	SRCPAINT,		//  FW_kOr
	MERGEPAINT,		//	FW_kNotOr
	SRCINVERT,		//	FW_kXOr
	0x00990066UL,	//	FW_kNotXOr
	SRCAND,			//	FW_kClear
	0x00440328UL,	//	FW_kNotClear
	SRCINVERT, 		//	FW_kHilite
	SRCCOPY, 		//	FW_kErase
	SRCINVERT 		//	FW_kInvert
};
#endif

// ----- Graphic globales -----
FW_CGraphicContext*		FW_gLastGC = NULL;
FW_CRasterizer* 		FW_gRasterizer = NULL;

#ifdef FW_BUILD_MAC
WindowPtr 				FW_gScratchWindow = NULL;
#endif

